// <%= name %> v<%= version %>
// <%= site %>
//
// Sass integration via https://github.com/rstacruz/iconfonts.
// Usage:
//
//    @include <%= prefix %>-font;
//    .button:before {
//      @include <%= prefix %>-icon("arrow");
//      @include <%= prefix %>-icon("arrow", 14px, #333);
//    }
//
// Output:
//
//    @font-face {
//      font-family: "<%= name %>"; ...
//    }
//    .button:before {
//      font-family: "<%= name %>";
//      content: '\f0123';
//    }
//
// Icon files:
//
//     <%= urlpath %><%= basename %>.eot
//     <%= urlpath %><%= basename %>.ttf
//     <%= urlpath %><%= basename %>.woff
//     <%= urlpath %><%= basename %>.svg

$<%= prefix %>-path: "<%= path %>" !default;
$<%= prefix %>-name: "<%= name %>" !default;
$<%= prefix %>-site: "<%= site %>" !default;
$<%= prefix %>-basename: "<%= basename %>" !default;
$<%= prefix %>-version: "<%= version %>" !default;
$<%= prefix %>-svghash: "<%= svghash %>" !default;
$<%= prefix %>-nativesize: "<%= nativesize %>" !default;

// Embeds the @font-face.
@mixin <%= prefix %>-font {
  @font-face {
    font-family: $<%= prefix %>-name;
    src: url($<%= prefix %>-path + $<%= prefix %>-basename + ".eot?v=" + $<%= prefix %>-version);
    src: url($<%= prefix %>-path + $<%= prefix %>-basename + ".eot?#iefix&v=" + $<%= prefix %>-version) format("embedded-opentype"),
         url($<%= prefix %>-path + $<%= prefix %>-basename + ".woff?v=" + $<%= prefix %>-version) format("woff"),
         url($<%= prefix %>-path + $<%= prefix %>-basename + ".ttf?v=" + $<%= prefix %>-version) format("truetype"),
         url($<%= prefix %>-path + $<%= prefix %>-basename + ".svg?v=" + $<%= prefix %>-version + $<%= prefix %>-svghash) format("svg");
    font-weight: normal;
    font-style: normal;
  }
}

// Embeds the @font-face. Use this if you're using `sass-rails`.
@mixin <%= prefix %>-font-rails($prefix: "") {
  @font-face {
    font-family: $<%= prefix %>-name;
    src: font-url($prefix + $<%= prefix %>-basename + ".eot");
    src: font-url($prefix + $<%= prefix %>-basename + ".eot#iefix") format("embedded-opentype"),
         font-url($prefix + $<%= prefix %>-basename + ".woff") format("woff"),
         font-url($prefix + $<%= prefix %>-basename + ".ttf") format("truetype"),
         font-url($prefix + $<%= prefix %>-basename + ".svg" + $<%= prefix %>-svghash) format("svg");
    font-weight: normal;
    font-style: normal;
  }
}

// Uses a given icon.
//
//     .button:before
//       +<%= prefix %>-icon(music)
//       +<%= prefix %>-icon(music, 24px)        /* 24px size */
//
// You may specify a color.
//
//     .button:before
//       +<%= prefix %>-icon(music, $color: #333)
//
// You may also specify a `$top` value to compensate for any mis-alignment.
// This nudges the icon by that many pixels from the top.
//
//     .button:before
//       +<%= prefix %>-icon(music, $top: 2px)

@mixin <%= prefix %>-icon($type, $size: auto, $color: auto, $top: auto, $left: auto, $shadow: none) {
  @extend %<%= prefix %>-icon;
  @extend %<%= prefix %>-icon-#{$type};

  @if $size != auto {
    font-size: $size; }
  @if $top != auto {
    position: relative;
    top: $top; }
  @if $left != auto {
    position: relative;
    left: $left; }
  @if $color != auto {
    color: $color; }
  @if $shadow != none {
    text-shadow: $shadow; }
}

%<%= prefix %>-icon {
  line-height: 1em;
  font-family: $<%= prefix %>-name;
  font-weight: normal;
  font-style: normal;
  display: inline-block;
  text-decoration: none;
  vertical-align: middle;
  text-rendering: optimizeLegibility !important;
  -webkit-font-smoothing: antialiased !important;
  -moz-osx-font-smoothing: grayscale;
}
<% each(function (val, key) { %>
%<%= prefix %>-icon-<%= key %> { content: "<%= val %>"; }<% }); %>
